# Scientific resources

## ROBust and privacy-presERving proximity Tracing (ROBERT) 

The global architecture of STOPCOVID relies on ROBERT. The ROBERT scheme relies on a federated server infrastructure and temporary anonymous identifiers with strong security and privacy guarantees. The full description of the V1.0 specifications of the protocol is available here: [https://github.com/ROBERT-proximity-tracing/documents/blob/master/ROBERT-specification-EN-v1_1.pdf](https://github.com/ROBERT-proximity-tracing/documents/blob/master/ROBERT-specification-EN-v1_1.pdf).

The main git repository with all other resources is: [https://github.com/ROBERT-proximity-tracing/](https://github.com/ROBERT-proximity-tracing/), with infographics about the ROBERT protocol: [https://github.com/ROBERT-proximity-tracing/documents/blob/master/ROBERT-infography-EN.pdf](https://github.com/ROBERT-proximity-tracing/documents/blob/master/ROBERT-infography-EN.pdf).

Note that the implementation modalities, modifications and improvement are listed here: [https://gitlab.inria.fr/stopcovid19/accueil/-/blob/master/documentation/robertImplementationModalities.txt](https://gitlab.inria.fr/stopcovid19/accueil/-/blob/master/documentation/robertImplementationModalities.txt).

Even if it is not the heart of STOPCOVID, one may be interested to have also a deep look at DESIRE, an Inria 3rd-way proposal for a European Exposure Notification System: [https://github.com/3rd-ways-for-EU-exposure-notification/project-DESIRE](https://github.com/3rd-ways-for-EU-exposure-notification/project-DESIRE). DESIRE could be seen as a mid-term evolution of the ROBERT protocol that decentralizes some operations on the mobile devices. DESIRE offers several key improvements to ROBERT. DESIRE is based on the same architecture than ROBERT with further improvements. In particular, it introduces the concept of Private Encounter Tokens, that are secret and cryptographically generated, to encode encounters. In the DESIRE protocol, the temporary identifiers that are broadcasted on the Bluetooth interfaces are generated by the mobile devices. The architecture becomes more modulable, encompassing a central management by the health authorities of the exposure function to a decentralized computation of the exposure function. Another advantage of DESIRE could be to pave the way for European interoperability in the mid-term. 

## Exposure Score Estimation & Computation

In a proximity-based digital contact tracing system, one key part is to estimate the Covid-19 infectiousness risk from contacts through BLE-RSSI measurements. As documented in the literature, it is difficult to measure distance based on attenuation in real-world environments, as the signals are rather noisy. In order to derive a robust risk estimator, the proposed algorithm relies on known physical wireless propagation effects and on technical properties of current BLE interfaces. The proposed algorithm has been tested on the data acquired by the German teams from the Fraunhofer institute within the PEPP-PT European project. We thank them for sharing their data, for their helpful comments and answers. Our algorithm is currently under evaluation on the French data acquired from May 18 to 20, 2020.

The scientific report by Jean-Marie Gorce (INSA/Inria), Malcolm Egan (INSA/Inria) and Rémi Gribonval (Inria) can be found here: [https://hal.inria.fr/hal-02641630](https://hal.inria.fr/hal-02641630).

## Analysis of digital contact tracing approaches for pandemic interventions.  

We have conducted and produced several reports in this global context.

Some key state-of-the art references (and the cited articles) can also be found here and give the fundamentals of the approach: 

* [https://www.epicx-lab.com/uploads/9/6/9/4/9694133/inserm-covid-19_report_lockdown_idf-20200412.pdf](https://www.epicx-lab.com/uploads/9/6/9/4/9694133/inserm-covid-19_report_lockdown_idf-20200412.pdf)

* [https://www.medrxiv.org/content/10.1101/2020.05.08.20095521v1.full.pdf](https://www.medrxiv.org/content/10.1101/2020.05.08.20095521v1.full.pdf)

* [https://science.sciencemag.org/content/early/2020/04/09/science.abb6936](https://science.sciencemag.org/content/early/2020/04/09/science.abb6936)

* [https://www.coronavirus-fraser-group.org/](https://www.coronavirus-fraser-group.org/)

### Digital contact tracing analysis

Contact tracing could be a fundamental tool in the management of epidemics, even if the efficiency should be evaluated against real conditions in order to minimize social immobilization. In this document, we recall the definition of a contact in the context of Covid-19 transmission, and the modelling of contacts in the sense of epidemiology. We then analyze the possible need for contact tracing, and then digital contact tracing using Bluetooth.

The report (in French) Analyse du contact tracing numérique by Bertrand Thirion (Inria), Alain Barrat (CNRS), Chiara Poletto (INSERM), Alexandra Mailles (Santé Publique France), Moez Draief (Capgemini), Roxane Adle (Orange), Vittoria Colizza (INSERM) is here: [https://gitlab.inria.fr/stopcovid19/accueil/-/tree/master/documentation/WP4.1.pdf](https://gitlab.inria.fr/stopcovid19/accueil/-/tree/master/documentation/WP4.1.pdf).

### Statistical modeling of contact tracing

We describe in this paper a mathematical modeling of contact tracing that leads to realistic simulation models. These scenarios are based on relatively standard simulations of the pre-confinement phase, which are gradually disrupted by interventions: isolation and contact tracing. On the basis of these results, we discuss the issue of population adoption, which is the key parameter affecting the effectiveness of the application. Finally, we make recommendations to increase adoption. 

The report (in French) Analyse du contact tracing numérique by Bertrand Thirion (Inria), Alain Barrat (CNRS), Chiara Poletto (INSERM), Alexandra Mailles (Santé Publique France), Moez Draief (Capgemini), Roxane Adle (Orange), Vittoria Colizza (INSERM) is here: [https://gitlab.inria.fr/stopcovid19/accueil/-/tree/master/documentation/WP4.2.pdf](https://gitlab.inria.fr/stopcovid19/accueil/-/tree/master/documentation/WP4.2.pdf).

### Improve and validate contact tracing

The implementation of the ROBERT protocol and the StopCovid application were based on numerous choices, made according to current knowledge. We provide an overview of these choices, based on probabilistic reasoning and on the physical data of the problem. We then discuss tests to be conducted to measure the effectiveness of the application, and the associated measures of success. We conclude with some suggestions for learning models to improve the use of this type of application.

The report (in French) Analyse du contact tracing numérique by Bertrand Thirion (Inria), Alain Barrat (CNRS), Chiara Poletto (INSERM), Alexandra Mailles (Santé Publique France), Moez Draief (Capgemini), Roxane Adle (Orange), Vittoria Colizza (INSERM) is here: [https://gitlab.inria.fr/stopcovid19/accueil/-/tree/master/documentation/WP4.3.pdf](https://gitlab.inria.fr/stopcovid19/accueil/-/tree/master/documentation/WP4.3.pdf).

## Other resources

Several documents are available on the web pages of the PEPP-PT (Pan-European Privacy-Preserving Proximity Tracing) initiative. PEPP-PT (hint: which is no more active to date) initiates the concept to provide a common basis for management systems that can be integrated into national public health responses to the COVID-19 pandemic. 

### References:

General: [https://github.com/pepp-pt/pepp-pt-documentation](https://github.com/pepp-pt/pepp-pt-documentation).

Proximity tracing: [https://github.com/pepp-pt/pepp-pt-documentation/tree/master/12-proximity-measurement](https://github.com/pepp-pt/pepp-pt-documentation/tree/master/12-proximity-measurement).

One follow-up of PEPP-PT is also the creation of an Industry Specification Group at ETSI (the European standardization body for telecommunications) with E4P: European Privacy Preserving Pandemic Protection, notably with Inria, Orange, etc.: [https://www.etsi.org/committee/e4p](https://www.etsi.org/committee/e4p).


